Package org.jmock.expectation

# Interface ExpectationCollection

All Superinterfaces:
  `Expectation`, `Verifiable`

All Known Implementing Classes:
  `AbstractExpectationCollection`, `ExpectationList`, `ExpectationSet`

public interface ExpectationCollection extends Expectation
An ExpectationCollection is an expectation that supports multiple values, such as lists and sets.

The addition methods distinguish between adding a single value and unpacking the contents of a collection. We have to make this distinction so that it is possible to add an array, enumeration, or iterator as a single expected object, rather than adding its contents.

Since:
  1.0

## Method Summary

Modifier and Type
Method
Description
`void`
`addActual(long actual)`
`void`
`addActual(Object actual)`
`void`
`addActualMany(Object[] actuals)`
`void`
`addActualMany(Enumeration actuals)`
`void`
`addActualMany(Iterator actuals)`
`void`
`addExpected(long expected)`
`void`
`addExpected(Object expected)`
`void`
`addExpectedMany(Object[] expectedItems)`
`void`
`addExpectedMany(Enumeration expectedItems)`
`void`
`addExpectedMany(Iterator expectedItems)`

### Methods inherited from interface org.jmock.expectation.Expectation

`hasExpectations, setExpectNothing, setFailOnVerify`

### Methods inherited from interface org.jmock.core.Verifiable

`verify`

## Method Details

### addActual

void addActual(Object actual)

### addActual

void addActual(long actual)

### addActualMany

void addActualMany(Object[] actuals)

### addActualMany

void addActualMany(Enumeration actuals)

### addActualMany

void addActualMany(Iterator actuals)

### addExpected

void addExpected(Object expected)

### addExpected

void addExpected(long expected)

### addExpectedMany

void addExpectedMany(Object[] expectedItems)

### addExpectedMany

void addExpectedMany(Enumeration expectedItems)

### addExpectedMany

void addExpectedMany(Iterator expectedItems)